ACL.PHP(1)

NAME
acl.php - manages Access Control Lists (ACLs) for CakePHP applications

SYNOPSIS
acl.php <command> <arg1> <arg2> ...

DESCRIPTION
The acl.php script manages Access Control Lists (ACLs) for CakePHP applications.

OPTIONS

create aro|aco <link_id> <parent_id> <alias>
    Creates a new ACL object under the parent specified by <parent_id>, an id/alias (see 'view'). The link_id allows you to link a user object to Cake's ACL structures. The alias parameter allows you to address your object using a non-integer ID.

    Example: "acl.php create aro 57 0 John" would create a new ARO object at the root of the tree, linked to 57 in your users table, with an internal alias `John'.

delete aro|aco <id>
    Deletes the ACL object with the specified ID (see `view').

setParent aro|aco <id> <parent_id>
    Used to set the parent of the ACL object specified by <id> to the ID specified by <parent_id>.

getPath aro|aco <id>
    Returns the path to the ACL object specified by <id>. This command is is useful in determining the inhertiance of permissions for a certain object in the tree.

grant <aro_id> <aco_id> <aco_action>
    Use this command to grant ACL permissions. Once executed, the ARO specified (and its children, if any) will have ALLOW access to the specified ACO action (and the ACO's children, if any).

deny <aro_id> <aco_id> <aco_action>
    Use this command to deny ACL permissions. Once executed, the ARO specified (and its children, if any) will have DENY access to the specified ACO action (and the ACO's children, if any).

inherit <aro_id> <aco_id> <aco_action>
    Use this command to force a child ARO object to inherit its permissions settings from its parent.

view aro|aco [id]
    The view command will return the ARO or ACO tree. The optional id/alias parameter allows you to return only a portion of the requested tree.

initdb
    Use this command to create the database tables needed to use DB ACL.

-app
    Absolute path to Cake's app directory

-core
    Absolute path to Cake's cake directory

-root
    Absolute path to Cake's /app/webroot directory

-datasource
    CakePHP datasource name

help
    Displays help message.

SEE ALSO
bake.php(1).

AUTHOR
acl.php was written by Larry E. Masters <phpnut@gmail.com>.

This manual page was written by Chris Lamb <chris@chris-lamb.co.uk>, for the Debian project (but may be used by others).